﻿using SlnMesnac.Model.domain;
using SlnMesnac.TouchSocket;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：T14-GEN3-7895
* 命名空间：SlnMesnac.Business
* 唯一标识：1a936e54-f672-4d86-b9bd-2747b75d4732
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2024-09-19 9:49:11
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Business
{
    public class TagScanBusiness
    {
        private ApiServer apiServer;

        public delegate void RefreshTagScanInfo(ScanLogModel scanLogModel);
        public event RefreshTagScanInfo? RefreshTagScanInfoEvent;

        public delegate void RefreshDeviceAlarmMessage(string message);
        public event RefreshDeviceAlarmMessage? RefreshDeviceAlarmMessageEvent;


        public TagScanBusiness(ApiServer apiServer)
        {
            this.apiServer = apiServer;

            this.RefreshScanInfo();
        }

        private void RefreshScanInfo()
        {
            //扫描记录刷新
            apiServer.ScanLogSocketAction += scan =>
            {
                RefreshTagScanInfoEvent?.Invoke(scan);
            };

            //告警状态刷新
            apiServer.ScanStatusSocketAction += info =>
            {
                if (info != null && info.is_alarm == 1)
                {
                    if (info.status_txt != null)
                    {
                        foreach (var item in info.status_txt)
                        {
                            RefreshDeviceAlarmMessageEvent?.Invoke(item);
                        }
                    }
                }
            };
        }


    }
}
